Outpost logoOutpost Docs

List a project's webhook configs

GET
/v1/projects/{projectId}/webhook-configs
x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Path Parameters

projectId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/webhook-configs"
[  {    "webhookConfigId": "string",    "endpoint": {      "url": "http://example.com",      "method": "POST",      "headers": {        "property1": "string",        "property2": "string"      },      "auth": {        "type": "NONE",        "token": "string",        "username": "string",        "password": "string"      },      "timeoutMs": 0,      "isActive": true    },    "subscriptions": {      "messageEvents": [        "QUEUED"      ],      "phoneEvents": [        "OPTED_OUT"      ]    }  }]